Start an upload
Regional
us.api.brault.app— follows the region selector in the top barReturns a presigned URL (or a multipart session above 256 MiB). PUT the bytes to S3 yourself, then call complete. Send file_id to add a version to an existing file.
Authorization
apiKey AuthorizationBearer <token>
API key from Settings → Developers
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/uploads" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "size": 5497558138880 }'{ "object": "upload", "id": "string", "method": "put", "file_id": "string", "version_id": "string", "upload_url": "string", "part_size": 0, "part_count": 0, "expires_at": "2019-08-24T14:15:22Z"}